@import "./tooltip";

* {
    font-family: "Nunito", sans-serif;
    font-size: 15px;
}

html,
body,
#app {
    height: 100%;
}

body {
    color: #4e4c58;
    background-color: #f8f8f8;
}

.app-content {
    min-height: calc(100% - 65px);
}

h1 {
    font-size: 2rem;
}
h2 {
    font-size: 1.714rem;
}
h3 {
    font-size: 1.5rem;
}
h4 {
    font-size: 1.286rem;
}
h5 {
    font-size: 1.07rem;
}
h6 {
    font-size: 1rem;
}

input,
textarea,
select,
button,
a {
    outline: none;
}

/* Chrome/Opera/Safari */
::-webkit-input-placeholder {
    font-size: 13px;
}
/* Firefox 19+ */
::-moz-placeholder {
    font-size: 13px;
}
/* IE 10+ */
:-ms-input-placeholder {
    font-size: 13px;
}
/* Firefox 18- */
:-moz-placeholder {
    font-size: 13px;
}

.drop-down-list ul::-webkit-scrollbar {
    width: 6px;
}
.drop-down-list ul::-webkit-scrollbar-track {
    background: transparent;
}
.drop-down-list ul::-webkit-scrollbar-thumb {
    background: #7367f0;
    border-radius: 15px;
}
.drop-down-list ul::-webkit-scrollbar-thumb:hover {
    background: transparent;
}

a {
    display: block;
}

svg {
    width: 1.25rem;
    height: 1.25rem;
    @apply text-gray-500;
}

.mosha__icon svg {
    width: unset;
    height: unset;
}

@keyframes pulse_bg {
    0% {
        background-color: #eee;
    }
    50% {
        background-color: #f5f5f5;
    }
    100% {
        background-color: #eee;
    }
}

.card {
    background-color: #ffffff;
    box-shadow: 0 4px 24px 0 rgba(34, 41, 47, 0.1);
    border-radius: 0.428rem;
    overflow-x: auto;
    .card-header {
        padding: 1rem 1.5rem;
        border-bottom: 1px solid #ebe9f1;
        &.border-b-none {
            border-bottom: none;
        }
    }
    .card-body {
        padding: 1.5rem;
    }
}

table {
    width: 100%;
    text-align: left;
    border: 1px solid #ebe9f1;
    &.table-custom {
        background-color: #ffffff;
        box-shadow: 0 4px 24px 0 rgba(34, 41, 47, 0.1);
    }
    tr {
        &:hover {
            background-color: #fafafa;
        }
        &.no-data-table:hover {
            background-color: #ffffff;
        }
        th,
        td {
            border-bottom: 1px solid #ebe9f1;
            padding: 0.72rem 1.5rem;
        }
        th {
            font-weight: bold;
            color: #5e5873;
            background-color: #f3f2f7;
        }
        td {
            font-size: 14px !important;
        }
    }
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-size: inherit;
    }
}

.box-actions {
    color: #7367f0 !important;
    .action-view svg,
    .action-edit svg,
    .action-delete svg,
    .action-approval svg {
        @apply text-main-color;
    }
    .action-view:hover svg,
    .action-edit:hover svg,
    .action-approval:hover svg {
        @apply text-green-500;
    }
    .action-delete:hover svg {
        @apply text-red-500;
    }
}

.border-b-transparent {
    border-bottom: 1px solid transparent;
}

.radio-custom {
    label {
        position: relative;
        display: inline-block;
        min-width: 18px;
        line-height: 1.3;
        cursor: pointer;
        &::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 18px;
            height: 18px;
            border: 1px solid #aaa8a8;
            border-radius: 50%;
            background: #fff;
        }
        &::after {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 17.5px;
            height: 17.5px;
            @apply bg-main-color;
            border-radius: 50%;
            -webkit-transition: all 0.15s ease;
            transition: all 0.15s ease;
            opacity: 0;
            -webkit-transform: scale(0);
            transform: scale(0);
        }
    }
    [type="radio"] {
        &:checked,
        &:not(:checked) {
            position: absolute;
            left: -9999px;
        }
        &:checked {
            + label {
                &::before {
                    border-color: #7367f0;
                }
                &::after {
                    opacity: 1;
                    -webkit-transform: scale(1);
                    transform: scale(1);
                }
            }
        }
    }
}

.checkbox-custom {
    label {
        position: relative;
        display: inline-block;
        min-width: 18px;
        line-height: 1.3;
        cursor: pointer;
        &::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 18px;
            height: 18px;
            border: 1px solid #aaa8a8;
            border-radius: 3px;
            background: #fff;
            -webkit-transition: all 0.15s ease;
            transition: all 0.15s ease;
        }
        &::after {
            content: "";
            position: absolute;
            top: 6px;
            left: 4px;
            width: 10px;
            height: 5px;
            border-left: 3px solid #fff;
            border-bottom: 3px solid #fff;
            transform: rotate(-45deg);
            -webkit-transition: all 0.15s ease;
            transition: all 0.15s ease;
            // opacity: 0;
        }
    }
    [type="checkbox"] {
        &:checked,
        &:not(:checked) {
            position: absolute;
            left: -9999px;
        }
        &:checked {
            + label {
                &::before {
                    border-color: #7367f0;
                    @apply bg-main-color;
                    opacity: 1;
                }
                // &::after {
                //   opacity: 1;
                // }
            }
        }
    }
}

.line-clamp-2 {
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    overflow: hidden;
}

.line-clamp-3 {
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    display: -webkit-box;
    overflow: hidden;
}

.line-clamp-5 {
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    display: -webkit-box;
    overflow: hidden;
}
